#version 330 core

layout(location = 0) in vec3 modelPosition;

uniform mat4 projectionMatrix;
uniform mat4 lightViewMatrix;
uniform mat4 modelMatrix;

void main(){
	mat4 depthMVP = projectionMatrix * lightViewMatrix* modelMatrix;
	gl_Position = depthMVP * vec4(modelPosition,1);
}